Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.xs
Class XMLSchemaLoader

    java.lang.Object
      weblogic.apache.xerces.impl.xs.XMLSchemaLoader

All Implemented Interfaces:
  XMLGrammarLoader

Deprecated. please use JDK supplied XML parsers and transformers

public class XMLSchemaLoader
extends Object
implements XMLGrammarLoader

This class implements XMLGrammarLoader. It is designed to interact either with a proxy for a user application which wants to preparse schemas, or with our own Schema validator. It is hoped that none of these "external" classes will therefore need to communicate directly with XSDHandler in future.

This class only knows how to make XSDHandler do its thing. The caller must ensure that all its properties (schemaLocation, JAXPSchemaSource etc.) have been properly set.

Field Summary
`protected static String` | `CONTINUE_AFTER_FATAL_ERROR` Deprecated. Feature identifier: continue after fatal error.
`static String` | `EMPTY_STRING` Deprecated.
`static String` | `ENTITY_RESOLVER` Deprecated. Property identifier: entity resolver.
`protected static String` | `ERROR_HANDLER` Deprecated. Property identifier: error handler.
`static String` | `ERROR_REPORTER` Deprecated. Property identifier: error reporter.
`protected static String` | `JAXP_SCHEMA_SOURCE` Deprecated. Property identifier: JAXP schema source.
`protected static String` | `SCHEMA_FULL_CHECKING` Deprecated. Feature identifier: schema full checking
`protected static String` | `SCHEMA_LOCATION` Deprecated. Property identifier: schema location.
`protected static String` | `SCHEMA_NONS_LOCATION` Deprecated. Property identifier: no namespace schema location.
`static String` | `SYMBOL_TABLE` Deprecated. Property identifier: symbol table.
`static String` | `XMLGRAMMAR_POOL` Deprecated. Property identifier: grammar pool.

Constructor Summary
`XMLSchemaLoader()` Deprecated.
`XMLSchemaLoader(SymbolTable symbolTable)` Deprecated.

Method Summary
`XMLEntityResolver` | `getEntityResolver()` Deprecated. Returns the registered entity resolver.
`XMLErrorHandler` | `getErrorHandler()` Deprecated. Returns the registered error handler.
`boolean` | `getFeature(String featureId)` Deprecated. Returns the state of a feature.
`Locale` | `getLocale()` Deprecated. Return the Locale the XMLGrammarLoader is using.
`Object` | `getProperty(String propertyId)` Deprecated. Returns the state of a property.
`String[]` | `getRecognizedFeatures()` Deprecated. Returns a list of feature identifiers that are recognized by this XMLGrammarLoader.
`String[]` | `getRecognizedProperties()` Deprecated. Returns a list of property identifiers that are recognized by this XMLGrammarLoader.
`Grammar` | `loadGrammar(XMLInputSource source)` Deprecated. Returns a Grammar object by parsing the contents of the entity pointed to by source.
`void` | `reset()` Deprecated.
`static XMLInputSource` | `resolveDocument(XSDDescription desc, Hashtable locationPairs, XMLEntityResolver entityResolver)` Deprecated.
`void` | `setEntityResolver(XMLEntityResolver entityResolver)` Deprecated. Sets the entity resolver.
`void` | `setErrorHandler(XMLErrorHandler errorHandler)` Deprecated. Sets the error handler.
`void` | `setFeature(String featureId, boolean state)` Deprecated. Sets the state of a feature.
`void` | `setLocale(Locale locale)` Deprecated. Set the locale to use for messages.
`void` | `setProperty(String propertyId, Object state)` Deprecated. Sets the state of a property.
`static boolean` | `tokenizeSchemaLocationStr(String schemaStr, Hashtable locations)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTINUE_AFTER_FATAL_ERROR

    protected static final String CONTINUE_AFTER_FATAL_ERROR

  Deprecated.
  Feature identifier: continue after fatal error.

  See Also:
    Constant Field Values

### EMPTY_STRING

    public static final String EMPTY_STRING

  Deprecated.
  See Also:
    Constant Field Values

### ENTITY_RESOLVER

    public static final String ENTITY_RESOLVER

  Deprecated.
  Property identifier: entity resolver.

  See Also:
    Constant Field Values

### ERROR_HANDLER

    protected static final String ERROR_HANDLER

  Deprecated.
  Property identifier: error handler.

  See Also:
    Constant Field Values

### ERROR_REPORTER

    public static final String ERROR_REPORTER

  Deprecated.
  Property identifier: error reporter.

  See Also:
    Constant Field Values

### JAXP_SCHEMA_SOURCE

    protected static final String JAXP_SCHEMA_SOURCE

  Deprecated.
  Property identifier: JAXP schema source.

  See Also:
    Constant Field Values

### SCHEMA_FULL_CHECKING

    protected static final String SCHEMA_FULL_CHECKING

  Deprecated.
  Feature identifier: schema full checking

  See Also:
    Constant Field Values

### SCHEMA_LOCATION

    protected static final String SCHEMA_LOCATION

  Deprecated.
  Property identifier: schema location.

  See Also:
    Constant Field Values

### SCHEMA_NONS_LOCATION

    protected static final String SCHEMA_NONS_LOCATION

  Deprecated.
  Property identifier: no namespace schema location.

  See Also:
    Constant Field Values

### SYMBOL_TABLE

    public static final String SYMBOL_TABLE

  Deprecated.
  Property identifier: symbol table.

  See Also:
    Constant Field Values

### XMLGRAMMAR_POOL

    public static final String XMLGRAMMAR_POOL

  Deprecated.
  Property identifier: grammar pool.

  See Also:
    Constant Field Values

Constructor Detail

### XMLSchemaLoader

    public XMLSchemaLoader()

  Deprecated.

### XMLSchemaLoader

    public XMLSchemaLoader(SymbolTable symbolTable)

  Deprecated.

Method Detail

### getEntityResolver

    public XMLEntityResolver getEntityResolver()

  Deprecated.
  Returns the registered entity resolver.

  Specified by:
    `getEntityResolver` in interface `XMLGrammarLoader`

### getErrorHandler

    public XMLErrorHandler getErrorHandler()

  Deprecated.
  Returns the registered error handler.

  Specified by:
    `getErrorHandler` in interface `XMLGrammarLoader`

### getFeature

    public boolean getFeature(String featureId)
                       throws XMLConfigurationException

  Deprecated.
  Returns the state of a feature.

  Specified by:
    `getFeature` in interface `XMLGrammarLoader`
  Parameters:
    `featureId` - The feature identifier.
  Throws:
    `XMLConfigurationException` - Thrown on configuration error.

### getLocale

    public Locale getLocale()

  Deprecated.
  Return the Locale the XMLGrammarLoader is using.

  Specified by:
    `getLocale` in interface `XMLGrammarLoader`

### getProperty

    public Object getProperty(String propertyId)
                       throws XMLConfigurationException

  Deprecated.
  Returns the state of a property.

  Specified by:
    `getProperty` in interface `XMLGrammarLoader`
  Parameters:
    `propertyId` - The property identifier.
  Throws:
    `XMLConfigurationException` - Thrown on configuration error.

### getRecognizedFeatures

    public String[] getRecognizedFeatures()

  Deprecated.
  Returns a list of feature identifiers that are recognized by this XMLGrammarLoader. This method may return null if no features are recognized.

  Specified by:
    `getRecognizedFeatures` in interface `XMLGrammarLoader`

### getRecognizedProperties

    public String[] getRecognizedProperties()

  Deprecated.
  Returns a list of property identifiers that are recognized by this XMLGrammarLoader. This method may return null if no properties are recognized.

  Specified by:
    `getRecognizedProperties` in interface `XMLGrammarLoader`

### loadGrammar

    public Grammar loadGrammar(XMLInputSource source)
                        throws IOException,
                               XNIException

  Deprecated.
  Returns a Grammar object by parsing the contents of the entity pointed to by source.

  Specified by:
    `loadGrammar` in interface `XMLGrammarLoader`
  Parameters:
    `source` - the location of the entity which forms the starting point of the grammar to be constructed.
  Throws:
    `IOException` - When a problem is encountered reading the entity XNIException When a condition arises (such as a FatalError) that requires parsing of the entity be terminated.
    `XNIException`

### reset

    public void reset()

  Deprecated.

### resolveDocument

    public static XMLInputSource resolveDocument(XSDDescription desc,
                                                 Hashtable locationPairs,
                                                 XMLEntityResolver entityResolver)
                                          throws IOException

  Deprecated.
  Throws:
    `IOException`

### setEntityResolver

    public void setEntityResolver(XMLEntityResolver entityResolver)

  Deprecated.
  Sets the entity resolver.

  Specified by:
    `setEntityResolver` in interface `XMLGrammarLoader`
  Parameters:
    `entityResolver` - The new entity resolver.

### setErrorHandler

    public void setErrorHandler(XMLErrorHandler errorHandler)

  Deprecated.
  Sets the error handler.

  Specified by:
    `setErrorHandler` in interface `XMLGrammarLoader`
  Parameters:
    `errorHandler` - The error handler.

### setFeature

    public void setFeature(String featureId,
                           boolean state)
                    throws XMLConfigurationException

  Deprecated.
  Sets the state of a feature.

  Specified by:
    `setFeature` in interface `XMLGrammarLoader`
  Parameters:
    `featureId` - The feature identifier.
    `state` - The state of the feature.
  Throws:
    `XMLConfigurationException` - Thrown when a feature is not recognized or cannot be set.

### setLocale

    public void setLocale(Locale locale)

  Deprecated.
  Set the locale to use for messages.

  Specified by:
    `setLocale` in interface `XMLGrammarLoader`
  Parameters:
    `locale` - The locale object to use for localization of messages.
  Throws:
    `XNIException` - Thrown if the parser does not support the specified locale.

### setProperty

    public void setProperty(String propertyId,
                            Object state)
                     throws XMLConfigurationException,
                            ClassCastException

  Deprecated.
  Sets the state of a property.

  Specified by:
    `setProperty` in interface `XMLGrammarLoader`
  Parameters:
    `propertyId` - The property identifier.
    `state` - The state of the property.
  Throws:
    `XMLConfigurationException` - Thrown when a property is not recognized or cannot be set.
    `ClassCastException`

### tokenizeSchemaLocationStr

    public static boolean tokenizeSchemaLocationStr(String schemaStr,
                                                    Hashtable locations)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD